Description
The current Node XML schema structure (see

http://jenkins-1.dataone.org/jenkins/job/AP1%20Documentation%20-%20trunk/ws/api-documentation/build/html/apis/Types.html#Typ

es.Node) has a fixed set of fields for describing required details of a node. For user interface purposes, we need structured
metadata about nodes that we can reliablly retrieve but that is extensible over time. Addition of simple, repeatable key/value pair
would allow us to add to the node registry descriptions and use the field keys by convention. For example, in the Ul we need the

following metadata about nodes:

)

NodeLatitude: {latitude of the node in decimal degrees}

¢ Nodelongitude: {longitude of the node in decimal degrees}

¢ NodeContactName: {name for current node contact}
NodeContactEmail: {email for current node contact}

NodeAffiliation: {Institution name}
NodeLogo: {BINHEX encoded png or other image file}

NodeWebURL: {URL of links to the main MN web presence, different than baseURL}

The addition to the schema could be a simple key/nodemetadata pair like so, that is added as an optional repeatable element to the

Node structure:

@

xs:simpleContent

[xs:attribute
/xs:extension
/xs:simpleContent
[xs:complexType
@

and within the Node definition, we would add:

@
@

Related issues:
Related to CN REST - Story #7197: Test changes to Node Registry

Closed 2015-08-06

History

#1 - 2014-12-17 00:49 - Matthew Jones
- Start date set to 2014-12-01

- Due date set to 2014-12-17

- Target version set to CCI-2.0.0

#2 - 2014-12-17 00:50 - Matthew Jones
- Category set to d1_schemas
- Milestone changed from None to CCI-2.0

- Tracker changed from Feature to Story

2024-04-18
http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/apis/Types.html#Types.Node
http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/apis/Types.html#Types.Node
redmine.dataone.org/xs:attribute
redmine.dataone.org/xs:extension
redmine.dataone.org/xs:simpleContent
redmine.dataone.org/xs:complexType

- Description updated

#3 - 2014-12-17 00:51 - Matthew Jones

- Description updated

#4 - 2015-04-20 13:27 - Dave Vieglais
- % Done changed from 0 to 30
- Status changed from New to In Progress

- Assignee set to Dave Vieglais

This was added to dataoneTypes_v2.0.xsd bey Leinfelder, r14126

#5 - 2015-06-16 15:12 - Dave Vieglais
- Target version changed from CCI-2.0.0 to CCI-2.0-TRUNK

#6 - 2015-06-16 16:20 - Dave Vieglais
- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#7 - 2015-06-16 16:21 - Dave Vieglais
- Related to Story #7197: Test changes to Node Registry added

#8 - 2015-07-01 16:22 - Dave Vieglais
- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#9 - 2015-08-07 20:48 - Ben Leinfelder
- Status changed from Testing to Closed

- % Done changed from 50 to 100

Implementation and unit test now in trunk.
